<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFRichTextString (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFRichTextString (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":9,"i17":10,"i18":10,"i19":9,"i20":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFRichTextString.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFRelation.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFRichTextString.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFRichTextString.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFRichTextString" class="title">Class XSSFRichTextString</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.usermodel.XSSFRichTextString</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                           title="interface in org.apache.poi.ss.usermodel">RichTextString</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFRichTextString</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
              title="interface in org.apache.poi.ss.usermodel">RichTextString</a></pre>
                <div class="block">Rich text unicode string. These strings can have fonts applied to arbitary parts of
                    the string.

                    <p>
                        Most strings in a workbook have formatting applied at the cell level, that is, the entire string
                        in the cell has the
                        same formatting applied. In these cases, the formatting for the cell is stored in the styles
                        part,
                        and the string for the cell can be shared across the workbook. The following code illustrates
                        the example.
                    </p>

                    <blockquote>
 <pre>
     cell1.setCellValue(new XSSFRichTextString("Apache POI"));
     cell2.setCellValue(new XSSFRichTextString("Apache POI"));
     cell3.setCellValue(new XSSFRichTextString("Apache POI"));
 </pre>
                    </blockquote>
                    In the above example all three cells will use the same string cached on workbook level.

                    <p>
                        Some strings in the workbook may have formatting applied at a level that is more granular than
                        the cell level.
                        For instance, specific characters within the string may be bolded, have coloring, italicizing,
                        etc.
                        In these cases, the formatting is stored along with the text in the string table, and is treated
                        as
                        a unique entry in the workbook. The following xml and code snippet illustrate this.
                    </p>

                    <blockquote>
 <pre>
     XSSFRichTextString s1 = new XSSFRichTextString("Apache POI");
     s1.applyFont(boldArial);
     cell1.setCellValue(s1);

     XSSFRichTextString s2 = new XSSFRichTextString("Apache POI");
     s2.applyFont(italicCourier);
     cell2.setCellValue(s2);
 </pre>
                    </blockquote>
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#XSSFRichTextString--">XSSFRichTextString</a></span>()</code>
                                    <div class="block">Create empty rich text string and initialize it with empty
                                        string
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#XSSFRichTextString-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst-">XSSFRichTextString</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst&nbsp;st)</code>
                                    <div class="block">Create a rich text string from the supplied XML bean</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#XSSFRichTextString-java.lang.String-">XSSFRichTextString</a></span>(java.lang.String&nbsp;str)</code>
                                    <div class="block">Create a rich text string</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#append-java.lang.String-">append</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">Append new text to this text run</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#append-java.lang.String-org.apache.poi.xssf.usermodel.XSSFFont-">append</a></span>(java.lang.String&nbsp;text,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
                                       title="class in org.apache.poi.xssf.usermodel">XSSFFont</a>&nbsp;font)</code>
                                    <div class="block">Append new text to this text run and apply the specify font to
                                        it
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#applyFont-org.apache.poi.ss.usermodel.Font-">applyFont</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                        title="interface in org.apache.poi.ss.usermodel">Font</a>&nbsp;font)</code>
                                    <div class="block">Sets the font of the entire string.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#applyFont-int-int-org.apache.poi.ss.usermodel.Font-">applyFont</a></span>(int&nbsp;startIndex,
                                    int&nbsp;endIndex,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                       title="interface in org.apache.poi.ss.usermodel">Font</a>&nbsp;font)</code>
                                    <div class="block">Applies a font to the specified characters of a string.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#applyFont-int-int-short-">applyFont</a></span>(int&nbsp;startIndex,
                                    int&nbsp;endIndex,
                                    short&nbsp;fontIndex)</code>
                                    <div class="block">Applies a font to the specified characters of a string.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#applyFont-short-">applyFont</a></span>(short&nbsp;fontIndex)</code>
                                    <div class="block">Applies the specified font to the entire string.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#clearFormatting--">clearFormatting</a></span>()</code>
                                    <div class="block">Removes any formatting that may have been applied to the
                                        string.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst">
                                    <code>org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#getCTRst--">getCTRst</a></span>()</code>
                                    <div class="block">Return the underlying xml bean</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFFont</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#getFontAtIndex-int-">getFontAtIndex</a></span>(int&nbsp;index)</code>
                                    <div class="block">Return a copy of the font in use at a particular index.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFFont</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#getFontOfFormattingRun-int-">getFontOfFormattingRun</a></span>(int&nbsp;index)</code>
                                    <div class="block">Gets a copy of the font used in a particular formatting run.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#getIndexOfFormattingRun-int-">getIndexOfFormattingRun</a></span>(int&nbsp;index)</code>
                                    <div class="block">The index within the string to which the specified formatting run
                                        applies.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#getLengthOfFormattingRun-int-">getLengthOfFormattingRun</a></span>(int&nbsp;index)</code>
                                    <div class="block">Returns the number of characters this format run covers.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#getString--">getString</a></span>()</code>
                                    <div class="block">Returns the plain string representation.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#hasFormatting--">hasFormatting</a></span>()</code>
                                    <div class="block">Does this string have any explicit formatting applied, or is
                                        it just text in the default style?
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#length--">length</a></span>()</code>
                                    <div class="block">Returns the number of characters in this string.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#numFormattingRuns--">numFormattingRuns</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>protected static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#preserveSpaces-org.openxmlformats.schemas.spreadsheetml.x2006.main.STXstring-">preserveSpaces</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.STXstring&nbsp;xs)</code>
                                    <div class="block">Add the xml:spaces="preserve" attribute if the string has leading
                                        or trailing spaces
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#setString-java.lang.String-">setString</a></span>(java.lang.String&nbsp;s)</code>
                                    <div class="block">Removes any formatting and sets new string value</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#setStylesTableReference-org.apache.poi.xssf.model.StylesTable-">setStylesTableReference</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/model/StylesTable.html"
                                        title="class in org.apache.poi.xssf.model">StylesTable</a>&nbsp;tbl)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>protected static
                                    org.openxmlformats.schemas.spreadsheetml.x2006.main.CTFont</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#toCTFont-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRPrElt-">toCTFont</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRPrElt&nbsp;pr)</code>
                                    <div class="block">CTRPrElt --> CTFont adapter</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html#toString--">toString</a></span>()</code>
                                    <div class="block">Returns the plain string representation.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFRichTextString-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFRichTextString</h4>
                                <pre>public&nbsp;XSSFRichTextString(java.lang.String&nbsp;str)</pre>
                                <div class="block">Create a rich text string</div>
                            </li>
                        </ul>
                        <a name="XSSFRichTextString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFRichTextString</h4>
                                <pre>public&nbsp;XSSFRichTextString()</pre>
                                <div class="block">Create empty rich text string and initialize it with empty string
                                </div>
                            </li>
                        </ul>
                        <a name="XSSFRichTextString-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFRichTextString</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;XSSFRichTextString(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst&nbsp;st)</pre>
                                <div class="block">Create a rich text string from the supplied XML bean</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="applyFont-int-int-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>applyFont</h4>
                                <pre>public&nbsp;void&nbsp;applyFont(int&nbsp;startIndex,
                      int&nbsp;endIndex,
                      short&nbsp;fontIndex)</pre>
                                <div class="block">Applies a font to the specified characters of a string.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#applyFont-int-int-short-">applyFont</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>startIndex</code> - The start index to apply the font to (inclusive)</dd>
                                    <dd><code>endIndex</code> - The end index to apply the font to (exclusive)</dd>
                                    <dd><code>fontIndex</code> - The font to use.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="applyFont-int-int-org.apache.poi.ss.usermodel.Font-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>applyFont</h4>
                                <pre>public&nbsp;void&nbsp;applyFont(int&nbsp;startIndex,
                      int&nbsp;endIndex,
                      <a href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                         title="interface in org.apache.poi.ss.usermodel">Font</a>&nbsp;font)</pre>
                                <div class="block">Applies a font to the specified characters of a string.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#applyFont-int-int-org.apache.poi.ss.usermodel.Font-">applyFont</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>startIndex</code> - The start index to apply the font to (inclusive)</dd>
                                    <dd><code>endIndex</code> - The end index to apply to font to (exclusive)</dd>
                                    <dd><code>font</code> - The index of the font to use.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="applyFont-org.apache.poi.ss.usermodel.Font-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>applyFont</h4>
                                <pre>public&nbsp;void&nbsp;applyFont(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                        title="interface in org.apache.poi.ss.usermodel">Font</a>&nbsp;font)</pre>
                                <div class="block">Sets the font of the entire string.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#applyFont-org.apache.poi.ss.usermodel.Font-">applyFont</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>font</code> - The font to use.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="applyFont-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>applyFont</h4>
                                <pre>public&nbsp;void&nbsp;applyFont(short&nbsp;fontIndex)</pre>
                                <div class="block">Applies the specified font to the entire string.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#applyFont-short-">applyFont</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fontIndex</code> - the font to apply.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="append-java.lang.String-org.apache.poi.xssf.usermodel.XSSFFont-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>append</h4>
                                <pre>public&nbsp;void&nbsp;append(java.lang.String&nbsp;text,
                   <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
                      title="class in org.apache.poi.xssf.usermodel">XSSFFont</a>&nbsp;font)</pre>
                                <div class="block">Append new text to this text run and apply the specify font to it
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - the text to append</dd>
                                    <dd><code>font</code> - the font to apply to the appended text or <code>null</code>
                                        if no formatting is required
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="append-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>append</h4>
                                <pre>public&nbsp;void&nbsp;append(java.lang.String&nbsp;text)</pre>
                                <div class="block">Append new text to this text run</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - the text to append</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hasFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasFormatting</h4>
                                <pre>public&nbsp;boolean&nbsp;hasFormatting()</pre>
                                <div class="block">Does this string have any explicit formatting applied, or is
                                    it just text in the default style?
                                </div>
                            </li>
                        </ul>
                        <a name="clearFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clearFormatting</h4>
                                <pre>public&nbsp;void&nbsp;clearFormatting()</pre>
                                <div class="block">Removes any formatting that may have been applied to the string.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#clearFormatting--">clearFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndexOfFormattingRun-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndexOfFormattingRun</h4>
                                <pre>public&nbsp;int&nbsp;getIndexOfFormattingRun(int&nbsp;index)</pre>
                                <div class="block">The index within the string to which the specified formatting run
                                    applies.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#getIndexOfFormattingRun-int-">getIndexOfFormattingRun</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the index of the formatting run</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index within the string.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLengthOfFormattingRun-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLengthOfFormattingRun</h4>
                                <pre>public&nbsp;int&nbsp;getLengthOfFormattingRun(int&nbsp;index)</pre>
                                <div class="block">Returns the number of characters this format run covers.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the index of the formatting run</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the number of characters this format run covers</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getString()</pre>
                                <div class="block">Returns the plain string representation.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#getString--">getString</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setString-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setString</h4>
                                <pre>public&nbsp;void&nbsp;setString(java.lang.String&nbsp;s)</pre>
                                <div class="block">Removes any formatting and sets new string value</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>s</code> - new string value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <div class="block">Returns the plain string representation.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="length--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>length</h4>
                                <pre>public&nbsp;int&nbsp;length()</pre>
                                <div class="block">Returns the number of characters in this string.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#length--">length</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the number of characters in the font.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="numFormattingRuns--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>numFormattingRuns</h4>
                                <pre>public&nbsp;int&nbsp;numFormattingRuns()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#numFormattingRuns--">numFormattingRuns</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The number of formatting runs used.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontOfFormattingRun-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontOfFormattingRun</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFFont</a>&nbsp;getFontOfFormattingRun(int&nbsp;index)</pre>
                                <div class="block">Gets a copy of the font used in a particular formatting run.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the index of the formatting run</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A copy of the font used or null if no formatting is applied to the specified
                                        text run.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontAtIndex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontAtIndex</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFFont</a>&nbsp;getFontAtIndex(int&nbsp;index)</pre>
                                <div class="block">Return a copy of the font in use at a particular index.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - The index.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A copy of the font that's currently being applied at that
                                        index or null if no font is being applied or the
                                        index is out of range.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTRst--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTRst</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst&nbsp;getCTRst()</pre>
                                <div class="block">Return the underlying xml bean</div>
                            </li>
                        </ul>
                        <a name="setStylesTableReference-org.apache.poi.xssf.model.StylesTable-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStylesTableReference</h4>
                                <pre>protected&nbsp;void&nbsp;setStylesTableReference(<a
                                        href="../../../../../org/apache/poi/xssf/model/StylesTable.html"
                                        title="class in org.apache.poi.xssf.model">StylesTable</a>&nbsp;tbl)</pre>
                            </li>
                        </ul>
                        <a name="toCTFont-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRPrElt-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toCTFont</h4>
                                <pre>protected static&nbsp;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTFont&nbsp;toCTFont(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRPrElt&nbsp;pr)</pre>
                                <div class="block">CTRPrElt --> CTFont adapter</div>
                            </li>
                        </ul>
                        <a name="preserveSpaces-org.openxmlformats.schemas.spreadsheetml.x2006.main.STXstring-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>preserveSpaces</h4>
                                <pre>protected static&nbsp;void&nbsp;preserveSpaces(org.openxmlformats.schemas.spreadsheetml.x2006.main.STXstring&nbsp;xs)</pre>
                                <div class="block">Add the xml:spaces="preserve" attribute if the string has leading or
                                    trailing spaces
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>xs</code> - the string to check</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFRichTextString.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFRelation.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFRichTextString.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFRichTextString.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
